gi-gio-2.0.27: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gio.Objects.NativeSocketAddress

Contents

- Exported types
- Methods
  - Overloaded methods
  - new

Description

A socket address of some unknown native type.

Synopsis

- newtype NativeSocketAddress = NativeSocketAddress (ManagedPtr NativeSocketAddress)
- class (GObject o, IsDescendantOf NativeSocketAddress o) => IsNativeSocketAddress o
- toNativeSocketAddress :: (MonadIO m, IsNativeSocketAddress o) => o -> m NativeSocketAddress
- nativeSocketAddressNew :: (HasCallStack, MonadIO m) => Ptr () -> Word64 -> m NativeSocketAddress

# Exported types

newtype NativeSocketAddress Source #

Memory-managed wrapper type.

Constructors

NativeSocketAddress (ManagedPtr NativeSocketAddress) |

#### Instances

Instances details

Eq NativeSocketAddress Source # |
Instance details Defined in GI.Gio.Objects.NativeSocketAddress Methods (==) :: NativeSocketAddress -> NativeSocketAddress -> Bool # (/=) :: NativeSocketAddress -> NativeSocketAddress -> Bool #
GObject NativeSocketAddress Source # |
Instance details Defined in GI.Gio.Objects.NativeSocketAddress
TypedObject NativeSocketAddress Source # |
Instance details Defined in GI.Gio.Objects.NativeSocketAddress Methods glibType :: IO GType Source #
ManagedPtrNewtype NativeSocketAddress Source # |
Instance details Defined in GI.Gio.Objects.NativeSocketAddress Methods toManagedPtr :: NativeSocketAddress -> ManagedPtr NativeSocketAddress Source #
IsGValue NativeSocketAddress Source # | Convert `NativeSocketAddress` to and from `GValue` with `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Objects.NativeSocketAddress Methods toGValue :: NativeSocketAddress -> IO GValue Source # fromGValue :: GValue -> IO NativeSocketAddress Source #
HasParentTypes NativeSocketAddress Source # |
Instance details Defined in GI.Gio.Objects.NativeSocketAddress
type ParentTypes NativeSocketAddress Source # |
Instance details Defined in GI.Gio.Objects.NativeSocketAddress type ParentTypes NativeSocketAddress = '[SocketAddress, Object, SocketConnectable]

class (GObject o, IsDescendantOf NativeSocketAddress o) => IsNativeSocketAddress o Source #

Type class for types which can be safely cast to `NativeSocketAddress`, for instance with `toNativeSocketAddress`.

#### Instances

Instances details

(GObject o, IsDescendantOf NativeSocketAddress o) => IsNativeSocketAddress o Source # |
Instance details Defined in GI.Gio.Objects.NativeSocketAddress

toNativeSocketAddress :: (MonadIO m, IsNativeSocketAddress o) => o -> m NativeSocketAddress Source #

Cast to `NativeSocketAddress`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

## Overloaded methods

## new

nativeSocketAddressNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Ptr () | `native`: a native address object
-> Word64 | `len`: the length of `native`, in bytes
-> m NativeSocketAddress | Returns: a new `NativeSocketAddress`

Creates a new `NativeSocketAddress` for `native` and `len`.

Since: 2.46